Subject: Re: [PATCH v6] net: batch skb dequeueing from softnet input_pkt_queue

From: Andi Kleen <[email-masked]>
Date: Mon, 3 May 2010 12:34:26 +0200

> > Maybe its low cost, (apparently, it is, since I can reach ~900.000
> > ipis on my 16 cores machine) but multiply this by 16 or 32 or 64
> > cpus, and clockevents_notify() cost appears to be a killer, all cpus
> > compete on a single lock.
> > 
> > Maybe this notifier could use RCU ?
> 
> could this be an artifact of the local apic stopping in deeper C states?
> (which is finally fixed in the Westmere generation)

Yes it is I think.

But I suspect Eric wants a solution for Nehalem.

-Andi
-- 
[email-masked] -- Speaking for myself only.